Bug 1287450 - RFE: qterminal compiled against Qt5.x
RFE: qterminal compiled against Qt5.x
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qterminal (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Eugene A. Pivnev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-02 01:30 EST by Ali Akcaagac
Modified: 2015-12-28 18:54 EST (History)
2 users (show)

See Also:
Fixed In Version: qterminal-0.6.0-4.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-28 18:54:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
New qterminal spec (2.41 KB, text/plain)
2015-12-03 14:44 EST, Helio Chissini de Castro
no flags Details

  None (edit)
Description Ali Akcaagac 2015-12-02 01:30:21 EST
I like to request a feature enchancement for qterminal to be compiled and linked against Qt5. As I googled, qterminal seems to be ported to Qt5 already. I ask for this because of lxqt. lxqt 0.10 links and supports Qt5 already and qterminal (which seem to be the default terminal for lxqt so far) is still linked against Qt4 and thus pulls in all the Qt4 requirements. This is unnecessary and a overload in case someone likes to set up a minimal system.
Comment 1 Helio Chissini de Castro 2015-12-02 05:50:08 EST
Ack confirmed.

Was my fault. will be soon fixed.
Comment 2 Eugene A. Pivnev 2015-12-02 12:10:40 EST
(In reply to Ali Akcaagac from comment #0)
> I like to request a feature enchancement for qterminal to be compiled and
> linked against Qt5. As I googled, qterminal seems to be ported to Qt5
> already.

Not fully right.
qterminal uses libqxt-devel (qt4 only):

if(USE_QT5 AND USE_SYSTEM_QXT)
    message(FATAL_ERROR "Unable to use system qxt with qt5 now")
endif()

As Fedora policy disallows to use bundled 3-rd parties - please ask libqxt maintainers to make qt5-version of libqxt.
As qxt is EOL (https://bitbucket.org/libqxt/libqxt/wiki/Home) they can use qxt from qterminal sources (something like qxt-0.7.0).

Then I'll can make qt5-version of qterminal.
Comment 3 Ali Akcaagac 2015-12-02 12:55:59 EST
https://bugzilla.redhat.com/show_bug.cgi?id=1287806
Comment 4 Helio Chissini de Castro 2015-12-02 14:10:46 EST
Eugene, i have it ready.
I'm attaching the new spec, but i can commit and build right now. Can you approve my ACL's

And yes, we can use the bundled one, since qxt is not anymore developed outside, it lives only on the lxqt qterminal code.

[]'s Helio
Comment 5 Eugene A. Pivnev 2015-12-03 05:25:51 EST
Please try it: https://koji.fedoraproject.org/koji/taskinfo?taskID=12037365
If ok - I'll push it into Bodhi
Comment 6 Helio Chissini de Castro 2015-12-03 05:53:19 EST
Hello

Yes, it works, but i would like to update all distros till f22, that's why i opened a request to co-maintain the package.

As i'm already dealing with lxqt, it will be more easy when i do updates to avoid it.

Is it possible ?

Regards, Helio
Comment 7 Helio Chissini de Castro 2015-12-03 14:44 EST
Created attachment 1101953 [details]
New qterminal spec

This is the final spec to only qt5 qterminal
Comment 8 Helio Chissini de Castro 2015-12-03 14:45:15 EST
So, i attached the proper spec, that match all current lxqt builds.

Since i can't have rights, Eugene, you can use it and please compile against rawhide, f23, f22 ?

Regards
Comment 9 Fedora Update System 2015-12-05 05:41:19 EST
qterminal-0.6.0-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-9191229506
Comment 10 Eugene A. Pivnev 2015-12-05 05:44:13 EST
(In reply to Helio Chissini de Castro from comment #8)
> So, i attached the proper spec, that match all current lxqt builds.
> 
> Since i can't have rights, Eugene, you can use it and please compile against
> rawhide, f23, f22 ?
> 
> Regards

qt5-only qterminal is racism :-)
Test new release from testing repo.
Qt5 version is qterminal-qt5 package.
Comment 11 Ali Akcaagac 2015-12-05 14:58:42 EST
Well if the package's name is "qterminal-qt5" then it might be interesting to adjust the meta package as well, so in case of a:

dnf group install lxqt

pulls in the qterminal-qt5 thingy rather than the qt4 one.
Comment 12 Fedora Update System 2015-12-06 00:22:14 EST
qterminal-0.6.0-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update qterminal'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-9191229506
Comment 13 Ali Akcaagac 2015-12-07 13:53:48 EST
Please don't forget to adjust the lxqt group to pull in qterminal-qt5 rather than qterminal (which relies on qt4).
Comment 14 Helio Chissini de Castro 2015-12-07 14:26:24 EST
Fix done for comps ( group ).

[]'s
Comment 15 Ali Akcaagac 2015-12-16 14:37:58 EST
Is it possible to get that comps change for F22 as well ?
Comment 16 Fedora Update System 2015-12-28 18:54:49 EST
qterminal-0.6.0-4.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.